<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">

  <title>#CreaCube Ontology Docs</title>
  <meta property="og:title" content="#CreaCube Ontology Docs" />
  <meta name="twitter:title" content="#CreaCube Ontology Docs" />
  <meta name="description" content="A symbolic description of a creative problem-solving task">
  <meta property="og:description" content="A symbolic description of a creative problem-solving task">
  <meta name="twitter:description" content="A symbolic description of a creative problem-solving task">
  <meta name="author" content="AIDE group"/>
  <link href='https://line.gitlabpages.inria.fr/aide-group/creaonto/img/favicon.ico' rel='icon' type='image/x-icon'/>
  <meta property="og:image" content="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/avatar-icon.png" />
  <meta name="twitter:image" content="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/avatar-icon.png" />
  <meta name="twitter:card" content="summary" />
  <meta property="og:url" content="https://line.gitlabpages.inria.fr/" />
  <meta property="og:type" content="website" />
  <meta property="og:site_name" content="#CreaCube Ontology Docs" />

  <meta name="generator" content="Hugo 0.40.1" />
  <link rel="canonical" href="https://line.gitlabpages.inria.fr/" />
  <link rel="alternate" href="https://line.gitlabpages.inria.fr/aide-group/creaonto/index.xml" type="application/rss+xml" title="#CreaCube Ontology Docs">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/KaTeX/0.7.1/katex.min.css" integrity="sha384-wITovz90syo1dJWVh32uuETPVEtGigN07tkttEqPv+uR2SE/mbQcG7ATL28aI9H0" crossorigin="anonymous">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
  <link rel="stylesheet" href="https://line.gitlabpages.inria.fr/aide-group/creaonto/css/main.css" />
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic" />
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800" />
  <link rel="stylesheet" href="https://line.gitlabpages.inria.fr/aide-group/creaonto/css/pygment_highlights.css" />
  <link rel="stylesheet" href="https://line.gitlabpages.inria.fr/aide-group/creaonto/css/highlight.min.css" />

<link rel="stylesheet" href="https://line.gitlabpages.inria.fr/aide-group/creaonto/css/custom.css">
<script src="https://line.gitlabpages.inria.fr/aide-group/creaonto/js/custom.js"></script>

<meta name="siteURL" content=/aide-group/creaonto>
</head>

  <body>
    <nav class="navbar navbar-default navbar-fixed-top navbar-custom">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#main-navbar">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="https://line.gitlabpages.inria.fr/aide-group/creaonto">
        <img class="brand-img" height="100%" src="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/aide.jpg" alt="#CreaCube Ontology Docs" />
        <span>#CreaCube Ontology Docs</span>
      </a>
    </div>

    <div class="collapse navbar-collapse" id="main-navbar">
      <ul class="nav navbar-nav navbar-right">
        
        
        <li>
          <a title="Home" href="https://line.gitlabpages.inria.fr/aide-group/creaonto/">Home</a>
        </li>
        
        
        
        <li>
          <a title="Entities" href="https://line.gitlabpages.inria.fr/aide-group/creaonto/entities/">Entities</a>
        </li>
        
        
        
        <li>
          <a title="v1.1.0" href="https://line.gitlabpages.inria.fr/aide-group/creaonto/entities/v1.1.0/">v1.1.0</a>
        </li>
        
        

        

        
      </ul>
    </div>

    <div class="avatar-container">
      <div class="avatar-img-border">
        
        <a title="#CreaCube Ontology Docs" href="https://line.gitlabpages.inria.fr/aide-group/creaonto">
          <img class="avatar-img" src="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/avatar-icon.png" alt="#CreaCube Ontology Docs" />
        </a>
        
      </div>
    </div>

  </div>
</nav>



    
  
  
  




  

  <header class="header-section ">
    
    <div class="intro-header no-img">
      
      
      </div>
    </div>
  </header>


    
  <div role="main" class="container main-container">
    <div class="row">
      <div>
        
          <div class="well">
            

<h1 id="the-creacube-ontology">The #Creacube ontology</h1>

<h2 id="a-symbolic-description-of-a-creative-problem-solving-task">A symbolic description of a creative problem-solving task</h2>

<p>We introduce the idea of a symbolic description of a complex human learning task, in order to contribute to better understand how we develop 21st century skills such as creativity, problem solving and computational thinking. The learner is modeled on the basis of knowledge from learning sciences with the contribution of cognitive neurosciences, in the precise context of a task named #CreaCube, which consists of building an autonomous vehicle using modular robotic cubes.</p>

<p>Such a specification allows for a better communication between the summoned research fields, namely learning science, cognitive neuroscience and computational modeling. Beyond this specification purpose, we suggest performing inferences using available reasoners to better guide the analysis of the observables collected during the experiments. This operationalization of a creative problem-solving activity is part of an exploratory research action.</p>

<p>We focus on a specific learning task instead of considering human learning at a general level to offer a precise and operational formalization
that is translatable to other tasks. We target problem-solving activities using tangible interfaces for computational thinking initiation, especially tasks using an ill-defined formulation appealing to creativity.</p>

<p>The production of this ontology is shared as a free and open resource <a href="https://gitlab.inria.fr/line/aide-group/creaonto/-/blob/master/creacube.owl">here</a>.</p>

<h3 id="the-creacube-ontology-at-a-glance">The #Creacube ontology at a glance</h3>

<p>This figure shows the main classes and properties used in the #CreaCube ontology:</p>


<link rel="stylesheet" href="https://line.gitlabpages.inria.fr/aide-group/creaonto/css/hugo-easy-gallery.css" />
<div class="box" >
  <figure  itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
    <div class="img">
      <img itemprop="thumbnail" src="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/v200ontology.png" alt="#CreaCube ontology graph"/>
    </div>
    <a href="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/v200ontology.png" itemprop="contentUrl"></a>
  </figure>
</div>

<p>The ontology has been recently aligned on the <a href="http://ontologydesignpatterns.org/wiki/Ontology:DOLCE+DnS_Ultralite">DOLCE+DnS Ultralite (DUL) ontology</a>.<br />
Some of the concepts are also related to the <a href="http://cognitiveatlas.org/">Cognitive Atlas</a> and the <a href="http://theaffordances.appspot.com/getaffordances">Affordance Network</a>.<br />
The complete index of the entities is available <a href="entities">here</a>.</p>

<h3 id="the-creacube-task-in-motion">The #CreaCube task in motion</h3>

<div class="text-center">
  <video controls preload="auto" data-setup="{}" title=#CreaCube&#32;in&#32;motion class="vid">
    <source src="https://line.gitlabpages.inria.fr/aide-group/creaonto/vid/creacube.mp4" type="video/mp4"></source>
    <source src="" type="video/webm"></source>
    <source src="" type=video/ogv></source>
    <p>To view this video please enable JavaScript, and consider upgrading to a web browser that <a href="http://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a></p>
  </video>
</div>


<h3 id="reports-and-papers">Reports and papers</h3>

<p>We explain our implementation choices in the following papers:</p>

<p>Lisa Roux, Margarida Romero, Frédéric Alexandre, Thierry Viéville, and Chloé Mercier. <em>Développement d’une ontologie pour l’analyse d’observables de l’apprenant dans le contexte d’une tâche avec des robots modulaires.</em> Report. Inria, November 2020. <a href="https://hal.inria.fr/hal-03013685">https://hal.inria.fr/hal-03013685</a>.</p>

<p>Chloé Mercier, Lisa Roux, Margarida Romero, Frédéric Alexandre, and Thierry Viéville. <em>Formalizing Problem Solving in Computational Thinking : An Ontology Approach.</em> In 2021 IEEE International Conference on Development and Learning (ICDL), 1–8. Beijing, China, August 2021. <a href="https://doi.org/10.1109/ICDL49984.2021.9515660">https://doi.org/10.1109/ICDL49984.2021.9515660</a> and <a href="https://hal.inria.fr/hal-03324136">https://hal.inria.fr/hal-03324136</a>.</p>

<p>Supplementary material available <a href="docs/ICDL21_supplementary.pdf">here</a>.<br />
Video of the talk: <a href="https://youtu.be/ic4rk0C4xgA">https://youtu.be/ic4rk0C4xgA</a> <br />
Slides and transcript of the video:</p>

<div class="slides-transcript">
    <iframe class="slides" src=docs/ICDL21_slides.pdf name=docs/ICDL21_slides.pdf title=ICDL&#39;2021&#32;presentation id=icdl21 webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
    <div class="transcript"><p>&lsquo;Formalizing Problem Solving in Computer Thinking: an ontology approach&rsquo;.</p>

<p>To begin with, what exactly do we mean by Computational Thinking?
It is a form of thinking that uses methods commonly found in computer science such as pattern recognition, abstraction, decomposition or algorithms. Computational Thinking is closely related to Problem Solving. One can identify the variables involved in a problem by decomposing it and come up with an algorithmic solution that can be generalized to solve other problems similar to the initial one. In addition to Computational Thinking, problem solving may also require creativity. This is especially the case with ill-defined problems, where the problem space  is not well specified and a creative approach needs to be taken.</p>

<p>These transversal skills are sometimes referred to as 21st century skills, and it is becoming more and more important to adress them in education. For that purpose, understanding how we learn and how we solve problems is a key issue. As a step towards this direction, we propose to model a problem-solving learning activity involving modular robotic artefacts.</p>

<p>The task we study is the following:
The participant is invited to build an autonomous vehicule, composed of 4 items, able to move autonomously from a starting point to an end point. 4 robotic cubelets are provided to complete the task.</p>

<p>The task is relatively easy in the sense that most people come up with a solution in less than 15 minutes, but complex to model because of the large problem space and the lack of specification: the guideline is deliberately vague and possible actions are not clearly stated, appealing for the learner&rsquo;s creativity of interpretation. The teacher supervising the experiment does not provide any help, but the aforementioned instructions are recorded and may be replayed anytime during the activity.</p>

<p>The participant is not supposed to have any prior experience of the modular robotic cubelets.
Therefore, there is a need for exploratory orientation, defined from a learning science perspective, as a way to gather information from the environment: the participant is expected to observe and manipulate the cubes in order to understand their characteristics. This exploration process, combined with by the mobilization and exploitation of prior knowledge, should allow to formulate hypotheses on the material and test these hypotheses, thus defining sub-goals that will help to move towards a solution. It is worth noting that this solution is not unique, as several cubelet configurations may satisfy the guideline.</p>

<p>Let&rsquo;s take a closer look at the material used in this task.
There are two way points and 4 cubelets: a white cubelet, a red one, a black one and a dark blue one. (no, that one is not black)
These cubelets have different colors and features. For example, the white cubelet has wheels.
Features sometimes suggest which actions could possibly be performed with the cubes: such a potential of action is called an affordance. Wheels, for instance, can usually be rolled onto a surface in order to make something move.</p>

<p>As designers of the task, we have certain knowledge about the material. Organizing this knowledge into a structured network, as we are doing right now, is in fact building an ontology. We distinguish concepts or classes from real-world objects called individuals that instantiate those classes. We also define properties to label the relationships between all these resources. sometimes we may also have to add human-readable comments to precise the semantics and clear up any ambiguity.
Each fact can be stated as a triple (subject predicate object) where the predicate is a property describing the relationship between a subject resource and an object resource. A step further, we may even specify the domain of a given property, that is to say, the class of resources described by this property. Similarly, the range is the class of resources used as value for that property.</p>

<p>Common standards in use for ontology modelling are the Resource Description Framework (RDF) completed by the Web Ontology Language (OWL). In this example, we are using the Turtle syntax to enunciate RDF triples.</p>

<p>How is this formalism helpful?
First, it can be used to share knowledge in a reusable modular way. It facilitates communication between different fields of expertise, in our case, education and learning sciences, cognitive sciences and computer science. Since the information under this form can also be processed by a computing agent, t helps not only with human-to-human communication but human-to mahcine or machien to machine/.</p>

<p>Designing such an ontology thus forces us to accurately specify the task at the material level, as we have seen with the previous example. But since we want to understand how humans learn, we would also like to specify a behavioral and cognitive model of a human engaged in this task, based on previous research in the cognitive neuroscience literature. In that sense, this ontology could be viewed as an epistemological tool encompassing the concepts developed in such models.</p>

<p>There are several points that we want to focus on when describing the learner. As we mentioned earlier, the participant is expected to explore their environment in a chase for affordances that will help them decide what actions to take. These affordances are comprehended with regard to the previous experiences of the learner, which consitutes prior knowledge that can be used to form hypotheses. For example, the learner may need to have some prior experience with wheels to understand that they can be used to make the cube move. the ontological formalism is particuliarly suited to model the logical interdependencies between these pieces of knowledge and hypotheses.
Another point we are interested in developing is the mode of behavior driving the attentional focus. The learner may define goals and subgoals derived from their hypotheses in order to complete the task and increase their knowledge about the environment. But stimuli may also distract them from their initial goal and make them revise their strategy. We want to characterize these two approaches: goal-driven or top-down, versus stimulus-driven or bottom-up.</p>

<p>Moreover, there might be a conflict between the will to complete the task as quickly as possible and the wish to understand as much as possible about the task environment. These concurrent goals are referred to as performance goal and mastery goal in learning sciences.</p>

<p>To better specify the goals involved in the learner behavior, we used a cognitive model that decomposes the goals in 4 cognitive questionings: What and why descrive the goal and the motivation behind it while Where and how refer to the physical means to reach it in link with the sensorimotor pole.</p>

<p>Here are the main classes used in the learner model with the properties that describe the relationships between them and make the link with classes from the material model. We can recognize property cyclic paths corresponding to the behavioral modes we described earlier: the stimulus-driven behavior and the goal driven beahvior.</p>

<p>In the final result of the ontology, we ended up with 75 classes, 40 properties and close to 400 individuals. This figure is only a glance at the main classes and properties, but the complete version is publicly available on our website.</p>

<p>Now let&rsquo;s go back to the concrete applications for this ontology. We already mentioned the epistemological interest, but we do have something more in mind. We would like to use this to make sense of the data that we are currently collecting on the Creacube task particpants. Reasoning systems such as Hermit or Pellet can perform reasoning on data and could therefore infer the learner motives based on the collected observables and the model descibed in the ontology. By doing that, it could also detect inconsistencies between the model and the data if the model is not suited enough to interpret them.
To make data processing easier, we have attributed identifiers for observables of interest and annotated videos of subjects performing the task. Each video is thus converted as a structure data sequence in a machine readable format such as JSON. The experiments and the annotation process are still in progress, but we already have around a hundred annotated videos for children between middle school and the end of elementary school that we target for educational purposes.</p>

<p>The next step is to query the ontological knowledge base against this data. To do this, we can use the query language SPARQL combined with a reasoner such as Pellet.</p>

<p>Our approach still needs further work to bridge the remaining gap between the ontology and the videos. However, this work seems promising and completes the picture of educational ontologies which as of now are mostly used to design learning assistants or describe learning resources. Despite being at a very preliminary stage, our approach thus constitutes an original take on ontology use in education.</p>
</div>
</div>


<h3 id="the-aide-artificial-intelligence-devoted-to-education-project">The AIDE (Artificial Intelligence Devoted to Education) project</h3>

<p>This work is part of a project aiming to explore to what extent cognitive neuroscience, linked to machine learning and knowledge representation, could help to better formalize human learning as studied in educational sciences. Please refer to our <a href="https://team.inria.fr/mnemosyne/aide/">project team website</a> for a more general introduction to our work.</p>

          </div>
        
      </div>
    </div>
  </div>

    <div id="logos">
  <div class="container">
    <div class="row">
      <div class="col-2">
        <ul class="list-inline text-center footer-links">
          
              <li>
                <a href="https://univ-cotedazur.fr/" title="Université Côte d&#39;Azur">
                  <img src="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/partners/uca.png" height=60>
                </a>
              </li>
          
              <li>
                <a href="https://www.inria.fr/" title="Inria">
                  <img src="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/partners/inria.png" height=60>
                </a>
              </li>
          
              <li>
                <a href="https://inspe.univ-cotedazur.fr/" title="Inspé de l&#39;académie de Nice">
                  <img src="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/partners/inspe.png" height=60>
                </a>
              </li>
          
              <li>
                <a href="https://univ-cotedazur.fr/laboratoires/laboratoire-dinnovation-et-numerique-pour-leducation-line" title="LINE - Laboratoire d&#39;Innovation Numérique pour l&#39;Education">
                  <img src="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/partners/line.jpg" height=60>
                </a>
              </li>
          
              <li>
                <a href="https://team.inria.fr/mnemosyne/" title="Mnémosyne">
                  <img src="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/partners/mnemosyne.png" height=60>
                </a>
              </li>
          
              <li>
                <a href="https://otesia.eu/" title="Otesia - Observatoire des impacts Technologiques, Économiques et Sociétaux de l’Intelligence Artificielle et du numérique">
                  <img src="https://line.gitlabpages.inria.fr/aide-group/creaonto/img/partners/otesia.png" height=60>
                </a>
              </li>
          
        </ul>
      </div>
    </div>
  </div>
</div>
    <footer>
  <div class="container">
    <div class="row">
      <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
        <ul class="list-inline text-center footer-links">
          
              <li>
                <a href="https://team.inria.fr/mnemosyne/aide/" title="Team website">
                  <span class="fa-stack fa-lg">
                    <i class="fa fa-circle fa-stack-2x"></i>
                    <i class="fas fa-globe fa-stack-1x fa-inverse"></i>
                  </span>
                </a>
              </li>
              <li>
                <a href="https://gitlab.inria.fr/line/aide-group/creaonto" title="GitLab">
                  <span class="fa-stack fa-lg">
                    <i class="fa fa-circle fa-stack-2x"></i>
                    <i class="fab fa-gitlab fa-stack-1x fa-inverse"></i>
                  </span>
                </a>
              </li>
        </ul>
        <p class="credits copyright text-muted">
          AIDE group
          &nbsp;&bull;&nbsp;
          Inria Mnemosyne &amp; LINE (Laboratoire d&#39;Innovation Numérique pour l&#39;Education)
          
            &nbsp;&bull;&nbsp;
            <a href="https://line.gitlabpages.inria.fr/aide-group/creaonto">#CreaCube Ontology Docs</a>
          
        </p>
      </div>
    </div>
  </div>
</footer>

<script src="https://cdnjs.cloudflare.com/ajax/libs/KaTeX/0.7.1/katex.min.js" integrity="sha384-/y1Nn9+QQAipbNQWU65krzJralCnuOasHncUFXGkdwntGeSvQicrYkiUBwsgUqc1" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/KaTeX/0.7.1/contrib/auto-render.min.js" integrity="sha384-dq1/gEHSxPZQ7DdrM82ID4YVol9BYyU7GbWlIwnwyPzotpoc57wDw/guX8EaYGPx" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha256-ZosEbRLbNQzLpnKIkEdrPv7lOy9C27hHQ+Xp8a4MxAQ=" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
<script src="https://line.gitlabpages.inria.fr/aide-group/creaonto/js/main.js"></script>
<script src="https://line.gitlabpages.inria.fr/aide-group/creaonto/js/highlight.min.js"></script>
<script src="https://line.gitlabpages.inria.fr/aide-group/creaonto/js/owldoc.js"></script>
<script> hljs.initHighlightingOnLoad(); </script>
<script> renderMathInElement(document.body); </script>





  </body>
</html>

